VmOffersSimple (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Class VmOffersSimple

- java.lang.Object
- - org.cloudbus.cloudsim.workflow.VMOffers
  - - org.cloudbus.cloudsim.workflow.VmOffersSimple

-     public class VmOffersSimple
      extends VMOffers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VmOffersSimple()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBootTime()` Returns the average boot time of a VM in seconds.
    `int` | `getCost(double mips, int memory, long bw)` Returns the cost of a specific instance, per time slot, in cents.
    `long` | `getTimeSlot()` Returns the duration of the lease time slot in seconds.
    `Hashtable<Vm,Integer>` | `getVmOffers()` Returns the instances offered by the provider, and the respective prices per time slot (in cents).
    `double` | `valuePerf(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VmOffersSimple

          public VmOffersSimple()

  - ### Method Detail

    - #### getVmOffers

          public Hashtable<Vm,Integer> getVmOffers()

      Description copied from class: `VMOffers`
      Returns the instances offered by the provider, and the respective prices per time slot (in cents).
      Specified by:
        `getVmOffers` in class `VMOffers`

    - #### getCost

          public int getCost(double mips,
                    int memory,
                    long bw)

      Description copied from class: `VMOffers`
      Returns the cost of a specific instance, per time slot, in cents.
      Specified by:
        `getCost` in class `VMOffers`

    - #### getTimeSlot

          public long getTimeSlot()

      Description copied from class: `VMOffers`
      Returns the duration of the lease time slot in seconds.
      Specified by:
        `getTimeSlot` in class `VMOffers`

    - #### getBootTime

          public long getBootTime()

      Description copied from class: `VMOffers`
      Returns the average boot time of a VM in seconds.
      Specified by:
        `getBootTime` in class `VMOffers`

    - #### valuePerf

          public double valuePerf(int index)

      Specified by:
        `valuePerf` in class `VMOffers`

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.